Package docking.widgets.table

# Enum Class ColumnSortState.SortDirection

java.lang.Object
java.lang.Enum<ColumnSortState.SortDirection>
docking.widgets.table.ColumnSortState.SortDirection

All Implemented Interfaces:
  `Serializable`, `Comparable<ColumnSortState.SortDirection>`, `Constable`

Enclosing class:
  ColumnSortState

public static enum ColumnSortState.SortDirection extends Enum<ColumnSortState.SortDirection>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASCENDING`
  `DESCENDING`
  `UNSORTED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ColumnSortState.SortDirection`
  `getSortDirection(String direction)`
  `boolean`
  `isAscending()`
  `String`
  `toString()`
  `static ColumnSortState.SortDirection`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ColumnSortState.SortDirection[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ASCENDING

    public static final ColumnSortState.SortDirection ASCENDING

  - ### DESCENDING

    public static final ColumnSortState.SortDirection DESCENDING

  - ### UNSORTED

    public static final ColumnSortState.SortDirection UNSORTED

- ## Method Details

  - ### values

    public static ColumnSortState.SortDirection[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ColumnSortState.SortDirection valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### isAscending

    public boolean isAscending()

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<ColumnSortState.SortDirection>`

  - ### getSortDirection

    public static ColumnSortState.SortDirection getSortDirection(String direction)